<script setup lang="ts">
import type { BaseLink } from '@/types/base';
import { ChevronLgRight } from 'slippers-ui/icons';

interface GartnerBannerProps {
  header: string;
  button: BaseLink;
  logo: {
    config: { src: string; altText: string };
  };
  image: { config: { src: string; altText: string } };
}

defineProps<GartnerBannerProps>();
</script>

<template>
  <SlpContainer class="gartner-banner" :fluid="true">
    <SlpContainer>
      <SlpRow class="slp-py-64" style="align-items: center">
        <SlpColumn :cols="4" class="gartner-banner__image-wrap">
          <img :src="image.config?.src" :alt="image.config?.altText" class="gartner-banner__image" />
        </SlpColumn>
        <SlpColumn :cols="8">
          <div>
            <img :src="logo.config?.src" :alt="logo.config?.altText" />

            <SlpTypography variant="heading5-bold" tag="h3" class="slp-py-24">
              {{ header }}
            </SlpTypography>
            <SlpButton
              class="gartner-banner__button"
              variant="tertiary"
              :href="button.config.href"
              :data-ga-name="button.config.dataGaName"
              :data-ga-location="button.config.dataGaLocation"
            >
              {{ button.text }}
              <SlpIcon :icon="ChevronLgRight" />
            </SlpButton>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.gartner-banner {
  color: #fff;
  position: relative;
  background-color: $color-primary-200;
  &:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;

    background: linear-gradient(
      180.88deg,
      rgba(225, 152, 109, 0.1) 8.58%,
      rgba(119, 89, 194, 0.1) 112.08%,
      rgba(110, 67, 211, 0.1) 112.09%
    );
    z-index: 0;
  }
  &__image {
    max-width: 360px;
  }
  &__image-wrap {
    display: none;
    justify-content: flex-end;
    padding-right: $spacing-48;

    @media (min-width: $breakpoint-md) {
      display: flex;
    }
  }
  &__button {
    color: #fff;
    &:hover,
    &:focus {
      text-decoration-color: transparent;
    }
  }
  :deep(.slp-container) {
    position: relative;
  }
}
</style>
